Contents
axButton Help

Properties          Methods          Events

axButton is a activeX IE Style button control which has several different styles including a seperator, and allows transparent bitmaps.

File Name

axButton.ocx

Distribution

- Unzip the source code with directories intact.

- Load the sample Project1 with Visual Basic. This should register the OCX for use with other VB applications. If it does not load correctly, then from the DOS prompt, move to the install directory and type: REGSVR32 axButton.ocx (you may need to put c:\windows\system\ in front of regsvr32 if you don't have a path.

- Whenever you want to add the control to a VB application, go to the Project/Components menu and select "ActiveX IE Style Button".

Revisions

License

Tech Support


Revisions

1.0

- Initial release

1.1

- Removed icon from about box

1.2

- Added properties for colors of 3d effects

2.0

- Complete redesign of button, got rid of some properties and code that was not needed, made control smaller

- Added drop down button

- Changed Click event to occur after MouseUp

- Changed NodeClick event to occur after MouseDown

- Fixed highlighting on standard button

- Added ShowFlatGrey property

- Fixed problem in raising Click event

- Added DrawState API for monochrome bitmap

2.1

- Added horizontal Seperator and Toolbar Handle

2.1.2

- Fixed GPF if Unload form is executed from Click event

2.2

- Added up/down button style

- Added ButtonGroup, ButtonGroupDefault properties


License

This control was developed and published by Geoff Glaze and was originally name PopupCommand. Software Solution renamed the control for it's own purposes. You may use it freely for development with Microsoft Visual Basic 5.0. This product is freeware and includes source code which you may change to suit your purposes.


Tech Support

If you have any problems installing or using this control, please feel free to contact our technical support department at one of the following:

Internet:

kirkq@execpc.com

gglaze@transtecinc.com

HEY! Check out our world wide web page at:

HTTP://www.execpc.com/~kirkq

http://www.cs.utexas.edu/users/gglaze/


Properties

All of the properties for this control are listed below:

Standard

Backcolor

Caption

Enabled

Font

Height

Index

Left

Tag

ToolTipText

Top

Visible

Width

Control Specific

ButtonGroup

ButtonGroupDefault

ColorDarkShadow

ColorHighlight

ColorLightShadow

DownPicture

DropDown

FlatPicture

MaskColor

Picture

PictureAlign

ShowFlatGrey

Style


Methods

All of the methods for this control are listed below

Standard

Refresh

Control Specific

ShowAbout


Events

All of the events for this control are listed below:

Standard

Click

DblClick

KeyDown

KeyPress

KeyUp

MouseDown

MouseEnter

MouseExit

MouseMove

MouseUp

Control Specific

DropDownClick


Standard Property/Method/Event

Depending on your host environment, this property/method/event may be referred to by a different name or may not apply to this control. Refer to your host environments documentation or help file for further information.


ColorDarkShadow
ColorDarkShadow Property

Returns or sets  the mouse-over color of the dark shadow of the button

Syntax:

object.ColorDarkShadow [= long]

The property syntax has these parts:

Part	Description
object	An object expression that evaluates to a control object
long	A long expression that evaluates to a color value
Remarks


ColorHighlight
ColorHighlight Property

Returns or sets  the mouse-over color of the highlight of the button

Syntax:

object.ColorHighlight [= long]

The property syntax has these parts:

Part	Description
object	An object expression that evaluates to a control object
long	A long expression that evaluates to a color value
Remarks


ColorLightShadow
ColorLightShadow Property

Returns or sets  the mouse-over color of the light shadow of the button

Syntax:

object.ColorLightShadow [= long]

The property syntax has these parts:

Part	Description
object	An object expression that evaluates to a control object
long	A long expression that evaluates to a color value
Remarks


DownPicture
DownPicture Property

Gets/returns the bitmap that displays when button is pressed

If this value is not set, then the Picture property is used

Syntax:

object.DownPicture [= picture]

The property syntax has these parts:

Part	Description
object	An object expression that evaluates to a control object
picture	An expression that evaluates to a picture object
Remarks


DropDown
DropDown Property

Returns or sets a value to determine whether or not to display the drop down button

Syntax:

object.DropDown [= boolean]

The property syntax has these parts:

Part	Description
object	An object expression that evaluates to a control object
booelean	A boolean expression
Remarks


FlatPicture
FlatPicture Property

Sets/returns the bitmap displayed when mouse is not over control

If this value is not set then the Picture property is used

Syntax:

object.FlatPicture [= picture]

The property syntax has these parts:

Part	Description
object	An object expression that evaluates to a control object
picture	An expression that evaluates to a picture object
Remarks


MaskColor
MaskColor Property

Returns or sets  the mask color used to display the picture

Syntax:

object.MaskColor [= long]

The property syntax has these parts:

Part	Description
object	An object expression that evaluates to a control object
long	A long expression that evaluates to a color value
Remarks


Picture
Picture Property

Sets/returns the bitmap displayed on the button

Syntax:

object.Picture [= picture]

The property syntax has these parts:

Part	Description
object	An object expression that evaluates to a control object
picture	An expression that evaluates to a picture object
Remarks


PictureAlign
PictureAlign Property

Returns or sets  the alignment of the picture displayed on the button

Syntax:

object.PictureAlign [= integer]

The property syntax has these parts:

Part	Description
object	An object expression that evaluates to a control object
integer	An integer expression that evaluates to set the alignment of the picture as listed below
Settings

[vbPicLeft] = 0

[vbPicRight] = 1

[vbPicTop] = 2

[vbPicBottom] = 4


ShowFlatGrey
ShowFlatGrey Property

Get/Sets a value to determine whether or not to display the picture in greyscale when the mouse is not over the button (Cool Button only)

Syntax:

object.ShowFlatGrey [= boolean]

The property syntax has these parts:

Part	Description
object	An object expression that evaluates to a control object
boolean	A boolean expression
Remarks


Style
Style Property

Returns or sets  the style of the button

Syntax:

object.Style [= Integer]

The property syntax has these parts:

Part	Description
object	An object expression that evaluates to a control object
integer	An integer expression that evaluates to the style listed below
Settings

[Cool Button] = 0

[Toolbar Button] = 1

[Seperator] = 2

[SeperatorH] = 3

[Toolbar Handle] = 4

[Toolbar HandleH] = 5

[Standard Button] = 6


ShowAbout
ShowAbout Method

Show the about box

Syntax:

object.ShowAbout

The method syntax has these parts:

Part	Description
object	An object expression that evaluates to a control object
Example:


DropDownClick
DropDownClick Event

Occurs when the dropdown button is clicked

Syntax:

object.DropDownClick

The event syntax has these parts:

Part	Description
object	An object expression that evaluates to a control object
Remarks:


ButtonGroup
ButtonGroup Property

Returns or sets the name of a button grouping when the button style is up/down button.

Syntax:

object.ButtonGroup [= string]

The property syntax has these parts:

Part	Description
object	An object expression that evaluates to a control object
string	A string expression that evaluates to the name of a button grouping

Example:

Create three buttons, each representing the 3 styles of paragraph justification (left, right, and center). If a name is not entered in the ButtonGroup property for each button, then the button will react to a click on its own and just turn on/off. Now, enter "justification" in the ButtonGroup property for all three buttons, and when one is turned on the other two will be turned off. It is possible to have no buttons turned on or to force a button to be on by default. See the ButtonDefault description for further information.


ButtonGroupDefault
ButtonGroupDefault Property

Returns or sets a boolean value to determine which button with an up/down button style is the default button

Syntax:

object.ButtonGroupDefault [= boolean]

object.ButtonGroupDefault2 [= boolean]

The property syntax has these parts:

Part	Description
object	An object expression that evaluates to a control object
boolean	A boolean expression that evaluates to True or False
Example:

Create three buttons, each representing the 3 styles of paragraph justification (left, right, and center). Enter "justification" in the ButtonGroup property for all three buttons, and when one is turned on the other two will be turned off.

Set all three button's ButtonGroupDefault property to false if you want the ability to have no buttons selected.

Set one of the button's ButtonGroupDefault property to true if you always want to have one button turned on. For instance, set the first button's ButtonGroupDefault to True. This will force that button to be turned on when the application is first started and also if you click twice on one of the other buttons, it will revert to be the one that is turned on.